Method: advertisers.insertionOrders.patch

  • This page details how to update an existing insertion order using a PATCH request.

  • The HTTP request URL utilizes gRPC Transcoding syntax and includes path parameters for the advertiser and insertion order IDs.

  • A required query parameter, updateMask, specifies which fields of the insertion order to update.

  • Both the request and response bodies contain an instance of an InsertionOrder object.

  • The operation requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Updates an existing insertion order. Returns the updated insertion order if successful.

HTTP request

PATCH https://displayvideo.googleapis.com/v1beta2/advertisers/{insertionOrder.advertiserId}/insertionOrders/{insertionOrder.insertionOrderId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
insertionOrder.advertiserId

string (int64 format)

Output only. The unique ID of the advertiser the insertion order belongs to.

insertionOrder.insertionOrderId

string (int64 format)

Output only. The unique ID of the insertion order. Assigned by the system.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The mask to control which fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of InsertionOrder.

Response body

If successful, the response body contains an instance of InsertionOrder.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.